Name: djbdns
Version: 1.05
Release: 12
Group: Utilities/System
URL: http://cr.yp.to/djbns.html
License: Check with djb@koobera.math.uic.edu
Source0: http://cr.yp.to/djbdns/djbdns-%{version}.tar.gz
Source1: ftp://innominate.org/gpa/djb/djbdns-1.05-man-20010502.tar.gz
Source2: ZONE.NOTES
Source3: djbdns.init
Source4: TRANSFER.FROM.MASTER.TO.SECONDARIES
Source5: make-data
Source6: push-changes
Source7: Makefile.example
Source8: trigger-make.c
Source9: update-dns
Source10: djbnotify.conf
Patch0: http://www.fefe.de/dns/djbdns-1.05-test17.diff
Patch1: ip6.arpa.patch
Patch2: errno.patch
Summary: A Secure DNS server (Domain Name Server).
Packager: david@summersoft.fay.ar.us
Requires: ucspi-tcp >= 0.88-4
Requires: daemontools >= 0.76-2
%ifos linux
Requires: /sbin/chkconfig
%endif
Conflicts: bind
Buildroot: %{_tmppath}/%{name}-%{version}-%{release}
%description
A secure DNS server (Domain Name Server).

%changelog
* Sat Apr 10 2010 David Summers <david@summersoft.fay.ar.us> 1.05-12
- Switched back to SSH/SCP of master to secondary.

* Fri Mar 05 2010 David Summers <david@summersoft.fay.ar.us> 1.05-11
- Added new zone_transfer_notify_server, zone_transfer_notify_client scripts.
- Took out old attempt attempt at immediate zone notification (from -10).

* Sat Sep 06 2008 David Summers <david@summersoft.fay.ar.us> 1.05-10
- Took out CRON daily script to transfer secondaries (from -8) and added
  djbdns_adduser script and examples to allow ssh/scp file transfers to
  secondaries from the dns Makefile script.

  Example scripts found in the /user/share/doc/djbdns-1.05 directory:
  TRANSFER.FROM.MASTER.TO.SECONDARIES
  Makefile.master
  Makefile.secondary

* Wed Nov 21 2007 David Summers <david@summersoft.fay.ar.us> 1.05-9
- Build changes only.  Changed IPV6 diff to be bunzip'ed so we can see
  future changes.

* Tue Aug 21 2007 David Summers <david@summersoft.fay.ar.us> 1.05-8
- Added CRON daily script to transfer secondaries.
  Config file is /etc/djbdns.secondaries which has a list of directories,
  Zone Names, and IP addresses for zones to be transferred.

* Sat Apr 23 2005 David Summers <david@summersoft.fay.ar.us> 1.05-7
- Fix start/stop sequence to only do one start/stop for each service instead
  of multiple ones.

* Tue Jan 20 2004 David Summers <david@summersoft.fay.ar.us> 1.05-6
- Compiles and runs on Solaris 9.

* Wed Sep 03 2003 David Summers <david@summersoft.fay.ar.us> 1.05-5
- Fixed RedHat 9 compile error problem with "errno" variable.
- Now requires ucspi-tcp >= 0.88-4 and daemontools >= 0.76-2 which fix the same
  problem with those other packages.

* Fri Feb 21 2003 David Summers <david@summersoft.fay.ar.us> 1.05-4
- Make sure we require ucspi-tcp >= 0.88-3 and daemontools >= 0.76-1.

* Tue Feb 11 2003 David Summers <david@summersoft.fay.ar.us> 1.05-3
- Start up right after networking and shutdown right before networking.

* Tue Aug 13 2002 David Summers <david@summersoft.fay.ar.us> 1.05-2
- Changed from ip6.int to ip6.arpa per RFC3152.

* Sun Aug 11 2002 David Summers <david@summersoft.fay.ar.us> 1.05-1
- Release 1.
- Added IPV6 patch.
- Added man pages.
- Added ZONE.NOTES crib notes.

%prep
%setup -q -a 1

# IPV6 patch.
%patch0 -p1

# Changed from ip6.int to ip6.arpa per RFC3152.
%patch1 -p0

# Fix RedHat 9 compile error problem with "errno" variable.
%patch2 -p1

# Move binaries to /bin
echo "/" > conf-home

# Get ready to compile trigger-make.c
cp %{SOURCE8} .

%build
make

cc trigger-make.c -o trigger-make

%install
/bin/rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/bin
mkdir -p $RPM_BUILD_ROOT/etc/init.d
mkdir -p $RPM_BUILD_ROOT/etc/sysconfig
%ifnos linux
mkdir -p $RPM_BUILD_ROOT/etc/rc3.d
%endif
mkdir -p $RPM_BUILD_ROOT/usr/share/man/man1
mkdir -p $RPM_BUILD_ROOT/usr/share/man/man5
mkdir -p $RPM_BUILD_ROOT/usr/share/man/man8

# Install DJBDNS programs.
cp dnscache-conf $RPM_BUILD_ROOT/bin
cp tinydns-conf  $RPM_BUILD_ROOT/bin
cp walldns-conf  $RPM_BUILD_ROOT/bin
cp rbldns-conf   $RPM_BUILD_ROOT/bin
cp pickdns-conf  $RPM_BUILD_ROOT/bin
cp axfrdns-conf  $RPM_BUILD_ROOT/bin

cp dnscache      $RPM_BUILD_ROOT/bin
cp tinydns       $RPM_BUILD_ROOT/bin
cp walldns       $RPM_BUILD_ROOT/bin
cp rbldns        $RPM_BUILD_ROOT/bin
cp pickdns       $RPM_BUILD_ROOT/bin
cp axfrdns       $RPM_BUILD_ROOT/bin

cp tinydns-get   $RPM_BUILD_ROOT/bin
cp tinydns-data  $RPM_BUILD_ROOT/bin
cp tinydns-edit  $RPM_BUILD_ROOT/bin
cp rbldns-data   $RPM_BUILD_ROOT/bin
cp pickdns-data  $RPM_BUILD_ROOT/bin
cp axfr-get      $RPM_BUILD_ROOT/bin

cp dnsip         $RPM_BUILD_ROOT/bin
cp dnsip6        $RPM_BUILD_ROOT/bin
cp dnsipq        $RPM_BUILD_ROOT/bin
cp dnsip6q       $RPM_BUILD_ROOT/bin
cp dnsname       $RPM_BUILD_ROOT/bin
cp dnstxt        $RPM_BUILD_ROOT/bin
cp dnsmx         $RPM_BUILD_ROOT/bin
cp dnsfilter     $RPM_BUILD_ROOT/bin
cp random-ip     $RPM_BUILD_ROOT/bin
cp dnsqr         $RPM_BUILD_ROOT/bin
cp dnsq          $RPM_BUILD_ROOT/bin
cp dnstrace      $RPM_BUILD_ROOT/bin
cp dnstracesort  $RPM_BUILD_ROOT/bin

cp dnsroots.global $RPM_BUILD_ROOT/etc/

# Install man pages.
cp djbdns-man/*.1 $RPM_BUILD_ROOT/usr/share/man/man1
cp djbdns-man/*.5 $RPM_BUILD_ROOT/usr/share/man/man5
cp djbdns-man/*.8 $RPM_BUILD_ROOT/usr/share/man/man8

# Copy ZONE.NOTES
cp %{SOURCE2} .

# Install startup scripts
cp %{SOURCE3} $RPM_BUILD_ROOT/etc/init.d/djbdns
chmod a+rx $RPM_BUILD_ROOT/etc/init.d/djbdns
%ifnos linux
ln -s ../init.d/djbdns $RPM_BUILD_ROOT/etc/rc3.d/K86djbdns
ln -s ../init.d/djbdns $RPM_BUILD_ROOT/etc/rc3.d/S14djbdns
%endif

# Install configuration file
touch $RPM_BUILD_ROOT/etc/sysconfig/djbdns

# Install doc files
cp %{SOURCE4} .

# Install make-data
cp %{SOURCE5} $RPM_BUILD_ROOT/bin

# Install push-changes
cp %{SOURCE6} $RPM_BUILD_ROOT/bin

# Install Makefile.example
cp %{SOURCE7} .

# Install trigger-make
cp trigger-make $RPM_BUILD_ROOT/bin

# Install update-dns
cp %{SOURCE9} $RPM_BUILD_ROOT/bin

# Install djbnotify.conf file.
cp %{SOURCE10} $RPM_BUILD_ROOT/etc

%pre
if [ "$1"x = "1"x ]; then
%ifos linux
   /usr/sbin/useradd -r dnscache
   /usr/sbin/useradd -r dnslog
   /usr/sbin/useradd -r tinydns
   sleep 1;
%else
   /usr/sbin/useradd -d /root dnscache
   /usr/sbin/useradd -d /root dnslog
   /usr/sbin/useradd -d /root tinydns
   sleep 1;
%endif
fi

%post
if [ "$1"x = "1"x ]; then
%ifos linux
   /sbin/chkconfig --add djbdns
%endif

fi

%preun
/etc/init.d/djbdns stop

%ifos linux
   /sbin/chkconfig --del djbdns
%endif

%postun
if [ "$1"x = "0"x ]; then
   /usr/sbin/userdel dnscache
   /usr/sbin/userdel dnslog
   /usr/sbin/userdel tinydns
fi

%clean
# Clean up after compiling and installing.
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc CHANGES README TINYDNS TODO VERSION ZONE.NOTES
%doc TRANSFER.FROM.MASTER.TO.SECONDARIES
%doc Makefile.example
/etc/init.d/djbdns
%ifnos linux
/etc/rc3.d/*
%endif
%config /etc/sysconfig/djbdns
%config /etc/djbnotify.conf
%config /etc/dnsroots.global
/usr/share/man/man1/*
/usr/share/man/man5/*
/usr/share/man/man8/*
%attr(6555,root,root)/bin/trigger-make
/bin/*
